VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Equity"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public Sub init(nm As String)

End Sub
Public Sub invest(amt As Single)

End Sub
Public Function getName() As String

End Function
Public Function getValue(toDate As Date) As Single

End Function
Public Function getTaxable(toDate As Date) As Single

End Function
Public Function isBond() As Boolean

End Function
Public Function calcValue(invDate As Date, toDate As Date, rate As Single, investment As Single)
  Dim diff, value As Single

  diff = DateDiff("d", invDate, toDate)
  value = (diff / 365) * rate * investment + investment
  calcValue = value

End Function
